import 'package:floative/factory/floative_factory.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  test("test the factory", () {
    final factory = FloativeFactory.I;

    var fooFirst = Foo();

    fooFirst.increment();

    factory.register<Foo>(fooFirst);

    var foo = factory.get<Foo>();
    foo.increment();

    expect(foo.value, 2);
  });
}

class Foo {
  int value = 0;

  void increment() => value++;
}
